## class UpdateCellTextFontCmd : public Command

> abstract command class for updating cell text fonts.

## Inheritance:

### Public Methods

  | UpdateCellTextFontCmd (Table *, TableViewer *v, int f, int s, int p)
  virtual | ~UpdateCellTextFontCmd ()
  void | UnExecute ()
  void | Execute ()
  const char* | GetName () const

### Protected Methods

  void | SaveCell (Cell *c) save cell and its old font.
  void | GetUpdateCells ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for updating cell text fonts.

`UpdateCellTextFontCmd(Table *, TableViewer *v, int f, int s, int p)`

`virtual ~UpdateCellTextFontCmd()`

`void UnExecute()`

`void Execute()`

`const char* GetName() const`

`void SaveCell(Cell *c)`
  save cell and its old font.

`void GetUpdateCells()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de